eric ide

Issue366

Classification
Title: Regression in 21.2 : Run/Debug do not support setting environment variables
Type: behavior Product: eric6
Process
Priority: critical    
Status: closed Resolution: fixed
Superseder: Nosy List: detlev, termim
Assigned to: Keywords:

Created on 2021-02-04.19:51:02 by termim, last changed by detlev.

Files
File Name Uploaded Description Remove
te.py termim, 2021-02-04.19:51:02 Print PYTHONPATH and BLAH environment variables
Messages (4.0)
msg1459 (view) Author: detlev Date: 2021-04-14.16:13:48
Changed with changeset 849d7434c2e1. Will be part of release 21.5.

Btw, the "What's this?" help text already explained that and contains even more 
information.
msg1455 (view) Author: termim Date: 2021-04-14.15:56:21
It seems that now environment variables should be separated by space. Previously I've used semicolons. It would be useful to mention what separator to use in the entry field tooltip.
msg1377 (view) Author: detlev Date: 2021-02-05.10:05:29
Fixed with changeset a54194132814. Will be included in release 21.3.
msg1373 (view) Author: termim Date: 2021-02-04.19:51:02
In Eric 21.2 setting environment variables in run/debug dialogs is broken.
In 21.1 running attached script shows PYTHONPATH and BLAH environment variables if they were set in the run/debug dialog, but in 21.2 it does not.
History
Date User Action Args
2021-04-14 16:13:48detlevsetstatus: open -> closed
resolution: fixed
messages: + msg1459
message_count: 3.0 -> 4.0
2021-04-14 16:13:37detlevsetresolution: fixed -> (no value)
2021-04-14 15:56:21termimsetstatus: closed -> open
message_count: 2.0 -> 3.0
messages: + msg1455
2021-02-05 10:05:29detlevsetstatus: new -> closed
resolution: fixed
messages: + msg1377
message_count: 1.0 -> 2.0
nosy: + detlev
2021-02-04 19:51:02termimcreate